Page MenuHome

Artefacts with Eevee
Closed, ResolvedPublic

Description

System Information
Operating system: Windows-10-10.0.17763 64 Bits
Graphics card: Intel(R) HD Graphics 620 Intel 4.5.0 - Build 22.20.16.4836

Core i5 -7200U CPU

Blender Version
Broken: version: 2.80 (sub 75), branch: master, commit date: 2019-07-29 14:47, hash: rBf6cb5f54494e
Worked: (optional)

Short description of error
Artefacts with Eevee on a laptop computer with integrated GPU

Exact steps for others to reproduce the error
Go to Viewport shading: Look Dev
there are little artifacts in my viewport .

When I render this scene, there are big "holes".

If I start blender with blender_debug_gpu_glitchworkaround.cmd I cannot reproduce the glitch anymore , but it's still the same in version 2.81.
Work around: when I turn on screen space reflections, it will be rendered clean.

Event Timeline


Sorry, I forgot the log files

Germano Cavalcante (mano-wii) lowered the priority of this task from 90 to 30.Oct 15 2019, 8:39 PM

There are newer graphics drivers for the Intel HD Graphics 620.
Try the latest one and let us know if the problem has been fixed.
https://downloadcenter.intel.com/product/96551/Intel-HD-Graphics-620

Thanks, but I can't update the driver. I get the information:

A customized computer manufacturer driver is installed on your computer. The Intel Driver & Support Assistant is not able to update the driver. Installing a generic Intel driver instead of the customized computer manufacturer driver may cause technical issues. Contact ASUS or ASUSTek for the latest driver for your computer.

Asus live update does not find any new updates.

@Isaac Laclede (Nebelkatze) either contact Asus support or alternatively you can find instructions online to bypass the warning and manually update your drivers. Obviously this is at your own risk but I have done this with a friend's computer and they haven't had any issues.

Isaac Laclede (Nebelkatze) changed the task status from Unknown Status to Resolved.Oct 16 2019, 7:36 AM
Isaac Laclede (Nebelkatze) claimed this task.

I have the new driver, the problem is solved, thank you!